summaryrefslogtreecommitdiffstats
path: root/network/protonmail-bridge/protonmail-bridge.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/protonmail-bridge/protonmail-bridge.SlackBuild')
-rw-r--r--network/protonmail-bridge/protonmail-bridge.SlackBuild26
1 files changed, 20 insertions, 6 deletions
diff --git a/network/protonmail-bridge/protonmail-bridge.SlackBuild b/network/protonmail-bridge/protonmail-bridge.SlackBuild
index 491a7ca59a..ea72f736ab 100644
--- a/network/protonmail-bridge/protonmail-bridge.SlackBuild
+++ b/network/protonmail-bridge/protonmail-bridge.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for protonmail-bridge
-# Copyright 2018-2021 Erich Ritz
+# Copyright 2018-2024 Erich Ritz, Jenks, Oklahoma, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=protonmail-bridge
-VERSION=${VERSION:-1.6.3}
+VERSION=${VERSION:-3.9.1}
DEBVERSION=${DEBVERSION:--1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -41,6 +43,11 @@ if [ -z "$ARCH" ]; then
esac
fi
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
# Upstream only has binary support for x86_64 at present.
if [ "$ARCH" = "x86_64" ]; then
DEBARCH="amd64"
@@ -61,10 +68,17 @@ find -L . \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Upstream claims "not a bug" https://github.com/ProtonMail/proton-bridge/issues/436
+# so remove SGID bit here. Thanks to sbopkglint for catching it.
+chmod -R g-s .
mv $PKG/usr/lib $PKG/usr/lib64
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs chmod 755 2> /dev/null || true
rm $PKG/usr/bin/protonmail-bridge
-ln -s /usr/lib64/protonmail/bridge/proton-bridge-launcher $PKG/usr/bin/protonmail-bridge
+ln -s /usr/lib64/protonmail/bridge/proton-bridge $PKG/usr/bin/protonmail-bridge
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/protonmail/bridge/* $PKG/usr/doc/$PRGNAM-$VERSION/
@@ -77,4 +91,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE